Package Gnumed :: Package business :: Module gmClinicalCalculator :: Class cClinicalCalculator |
[frames] | no frames]

# Class cClinicalCalculator

source code

    object --+
             |
            cClinicalCalculator

Instance Methods
__init__(self, patient=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code
remove_from_cache(self, key=None) | source code
get_EDC(self, lmp=None, nullipara=True) | source code
d(self, initial) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| patient = `property(lambda x: x, _set_patient)`
| eGFRs = `property(_get_egfrs, lambda x: x)`
| eGFR = `property(_get_egfr, lambda x: x)`
| eGFR_MDRD_short = `property(_get_gfr_mdrd_short, lambda x: x)`
| eGFR_CKD_EPI = `property(_get_gfr_ckd_epi, lambda x: x)`
| eGFR_Cockcroft_Gault = `property(_get_gfr_cockcroft_gault, lamb`...``
| eGFR_Schwartz = `property(_get_gfr_schwartz, lambda x: x)`
| body_surface_area = `property(_get_body_surface_area, lambda x: x)`
| body_mass_index = `property(_get_body_mass_index, lambda x: x)`
| bmi = `property(_get_body_mass_index, lambda x: x)`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, patient=None) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

Class Variable Details

  ### eGFR_Cockcroft_Gault Value:
      property(_get_gfr_cockcroft_gault, lambda x: x)